Package oracle.jdbc.spi

## Interface OracleResourceProvider.Parameter

Enclosing interface:
  OracleResourceProvider

    public static interface OracleResourceProvider.Parameter

A parameter that configures an `OracleResourceProvider`. Instances of `Parameter` may be queried by Oracle JDBC and database tools.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default java.lang.CharSequence` `defaultValue()` Returns the default value of this parameter, if any.
`default java.lang.String` `description()` Returns a human-readable description of this parameter.
`default boolean` `isRequired()` Returns `true` if configuring this parameter is required, or `false` if it is optional.
`boolean` `isSensitive()` Returns `true` if this parameter may set to a security sensitive value, such as a password.
`java.lang.String` `name()` Returns the name of this parameter.

### Method Detail

#### name

    java.lang.String name()

Returns the name of this parameter. Names are case-insensitive.

Returns:
  The name of this parameter. Not null.

#### isSensitive

    boolean isSensitive()

Returns `true` if this parameter may set to a security sensitive value, such as a password.

Returns:
  `true` if this parameter is security sensitive, or `false` if not.

#### description

    default java.lang.String description()

Returns a human-readable description of this parameter. This method is intended for database tools to display information about this parameter to a user.

Returns:
  A description of this parameter. Not null.

#### isRequired

    default boolean isRequired()

Returns `true` if configuring this parameter is required, or `false` if it is optional.

Returns:
  `true` if this is a required parameter, or `false` if not.

#### defaultValue

    default java.lang.CharSequence defaultValue()

Returns the default value of this parameter, if any.

Returns:
  The default value of this parameter, or `null` if there is no default value.